#! /usr/bin/python3
# -*- coding: UTF-8 -*-
# python 3.5
# 使用例
# import my_module
# if my_module.is_ascii(fn) == False:   # ascii文字以外が入っていたら処理を飛ばす
#   continue


# grep の　Python版
def grep_py(str0,fname,fcodec='utf-8'):
  import os
  import sys
  import codecs               # 文字コードの操作

  if isinstance(fname,str):       # Fileを対象
    if os.path.exists(fname):     # Fileが存在するなら
      fp = codecs.open(fname,"r",fcodec)
      lines0 = fp.readlines()
      fp.close()
  elif isinstance(fname,list):    # list対象
    lines0 = fname
#    print '%s は文字列です' % (lines0)
  else:
    lines0 = fname
   
  lines = []
  for line in lines0:
    if line.find(str0) >= 0:
#      print line,    #2.7
#      print(line[:-1])    #3.5
      lines.append(line)
  
#  print(lines)
        
  return lines
   

# 文字列 u がASCIIだけなら True ASCII以外を含むならFalse
def is_ascii(s):
  import re
  asciiReg = re.compile(r'^[!-~]+$')
  return asciiReg.match(s) is not None



def _main():
  ss0 = '31511011'
  ss1 = '1/3'
  fn = '/home/acad/files/kensaku_db_files'
  arr0 = grep_py(ss0,fn)
#  print(arr0)
  for line in arr0:
    tmp = line.split(" ")
    zuban = tmp[0]
    hinmei = tmp[1].rstrip()      # 行末の改行を削除
    print(zuban,hinmei,)


#  zuban1 = 'A2あｲｳｴｵ'
  zuban1 = '1234.MDL'
  if is_ascii(zuban1):
    print(zuban1 + ' は ASCII ')
  else:
    print(zuban1 + ' は ASCII 以外を含む')


if __name__ == '__main__': _main()
